org.apache.ignite.lang

## Interface IgniteBiClosure<E1,E2,R>

Type Parameters:
  `E1` - Type of the first parameter.
  `E2` - Type of the second parameter.
  `R` - Type of the closure's return value.

All Superinterfaces:
  Serializable

All Known Subinterfaces:
  C2<E1,E2,R>

All Known Implementing Classes:
  CX2, GridNearTxLocal.FinishClosure, IgniteClosure2X, IgniteTxLocalAdapter.PLC1, IgniteTxLocalAdapter.PLC2, IgniteTxLocalAdapter.PMC, IgniteTxLocalAdapter.PostLockClosure1, IgniteTxLocalAdapter.PostLockClosure2, IgniteTxLocalAdapter.PostMissClosure

    public interface IgniteBiClosure<E1,E2,R>
    extends Serializable

Defines generic closure with two parameters. Bi-Closure is a simple executable which accepts two parameters and returns a value.

### Method Summary

All Methods Instance Methods Abstract Methods
`R` `apply(E1 e1, E2 e2)` Closure body.

### Method Detail

#### apply

    R apply(E1 e1,
            E2 e2)

Closure body.

Parameters:
  `e1` - First parameter.
  `e2` - Second parameter.
Returns:
  Closure return value.

2018 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 2.6.0
Release Date | : July 10 2018